=== debian/changelog ===
fluidsynth (1.1.4-1) experimental; urgency=low

  * New upstream release:
    - Several improvements and fixes to the CMake build system.
    - Several bug fixes to the engine, notably quite a few which could
      cause FluidSynth to sound bad in some cases.
    - API additions, that make it possible to load MIDI files from memory
      to inspect/modify MIDI events as they are being played from a MIDI
      file to change channels between melodic and drum mode and to silence
      all notes in one command.
    - Improvements to the CoreAudio driver.

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Aug 2011 10:08:40 +0200
