=== debian/control ===
Source: fluidsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 David Henningsson <diwic@ubuntu.com>
Build-Depends:
 cmake,
 debhelper (>= 7.0.50~),
 ladspa-sdk,
 libasound2-dev,
 libglib2.0-dev (>= 2.6.5),
 libjack-dev | libjack-jackd2-dev,
 libpulse-dev,
 libreadline-dev (>= 5),
 libsndfile-dev,
 libtool
Standards-Version: 3.9.2
Homepage: http://www.fluidsynth.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/fluidsynth.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/fluidsynth.git

Package: fluidsynth
Architecture: any
Depends:
 libfluidsynth1 (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: iiwusynth
Replaces: iiwusynth
Provides: iiwusynth
Recommends: qsynth
Description: Real-time MIDI software synthesizer
 Fluidsynth is a real-time midi synthesizer based on the soundfont2
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.

Package: libfluidsynth1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Real-time MIDI software synthesizer (runtime library)
 Fluidsynth is a real-time midi synthesizer based on the soundfont2
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.
 .
 This package contains the runtime library.

Package: libfluidsynth-dev
Architecture: all
Section: libdevel
Depends:
 libasound2-dev,
 libfluidsynth1 (<< ${source:Upstream-Version}+1~),
 libfluidsynth1 (>= ${source:Version}),
 libglib2.0-dev (>= 2.6.5),
 libjack-dev | libjack-jackd2-dev,
 libncurses5-dev | libncurses-dev,
 libpulse-dev,
 libreadline-dev (>= 5),
 libsndfile-dev,
 ${misc:Depends}
Description: Real-time MIDI software synthesizer (development files)
 Fluidsynth is a real-time midi synthesizer based on the soundfont2
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.
 .
 This package contains the development files.
