## fluidsynth 1.1.5

=== debian/changelog ===
fluidsynth (1.1.5-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Sep 2011 12:10:31 +0200

fluidsynth (1.1.4-2) unstable; urgency=low

  * Upload to unstable
  * Remove alternative build-dep on libjack-jackd2-dev.
  * Disable alsa and dbus on hurd (Closes: #637158).
    Thanks to Samuel Thibault for the patch.
  * Revert ABI break introduced with FluidSynth 1.1.4.
    - This is now binary compatible with FluidSynth << 1.1.4,
      patch taken from upstream trunk.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 11:21:32 +0200
