=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  ladspa-sdk,
  libasound2-dev,
  libglib2.0-dev (>= 2.6.5),
- libjack-dev | libjack-jackd2-dev,
+ libjack-dev,
  libpulse-dev,
  libreadline-dev (>= 5),
  libsndfile-dev,
