=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed
ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
EXTRA_CONFIGURE_ARGS += -Denable-alsa=off -Denable-dbus=off
endif

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX='' \
		-Denable-ladspa=on \
		$(EXTRA_CONFIGURE_ARGS)
