=== debian/changelog ===
fluidsynth (1.1.6-2) unstable; urgency=low

  [ Christoph Egger ]
  * fix FTBFS (Closes: #690006)

  [ Rafał Cieślak ]
  * Add a compile/run autopkg test. (Closes: #692812)

  [ Alessio Treglia ]
  * Bump debhelper requirement to 9.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Feb 2013 13:40:54 +0000

fluidsynth (1.1.6-1) unstable; urgency=low

  * New upstream bugfix-only release:
    - Handle MIDI End of track events, ticket #101
    - Prevent broken rendering after an voice overflow, ticket #100
    - Enable long arguments where available
    - Prevent libdbus crash
  * Remove build-dependency on libncurses5-dev. (Closes: #667892)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Aug 2012 14:43:04 +0200

fluidsynth (1.1.5-2) unstable; urgency=low

  * Build with MultiArch.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Jan 2012 18:45:57 +0100
