=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  David Henningsson <diwic@ubuntu.com>
 Build-Depends:
  cmake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  ladspa-sdk,
  libasound2-dev,
  libglib2.0-dev (>= 2.6.5),
@@ -16,7 +16,7 @@
  libreadline-dev (>= 5),
  libsndfile-dev,
  libtool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.fluidsynth.org/
 Vcs-Git: git://git.debian.org/pkg-multimedia/fluidsynth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/fluidsynth.git
@@ -27,10 +27,14 @@
  libfluidsynth1 (>= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Conflicts: iiwusynth
-Replaces: iiwusynth
-Provides: iiwusynth
-Recommends: qsynth
+Conflicts:
+ iiwusynth
+Replaces:
+ iiwusynth
+Provides:
+ iiwusynth
+Recommends:
+ qsynth
 Description: Real-time MIDI software synthesizer
  Fluidsynth is a real-time midi synthesizer based on the soundfont2
  specifications. It can be used to render MIDI input or MIDI files to audio.
@@ -39,8 +43,12 @@
 
 Package: libfluidsynth1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Real-time MIDI software synthesizer (runtime library)
  Fluidsynth is a real-time midi synthesizer based on the soundfont2
  specifications. It can be used to render MIDI input or MIDI files to audio.
@@ -50,19 +58,19 @@
  This package contains the runtime library.
 
 Package: libfluidsynth-dev
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  libasound2-dev,
- libfluidsynth1 (<< ${source:Upstream-Version}+1~),
- libfluidsynth1 (>= ${source:Version}),
+ libfluidsynth1 (= ${binary:Version}),
  libglib2.0-dev (>= 2.6.5),
  libjack-dev | libjack-jackd2-dev,
- libncurses5-dev | libncurses-dev,
  libpulse-dev,
  libreadline-dev (>= 5),
  libsndfile-dev,
  ${misc:Depends}
+XS-Testsuite: autopkgtest
 Description: Real-time MIDI software synthesizer (development files)
  Fluidsynth is a real-time midi synthesizer based on the soundfont2
  specifications. It can be used to render MIDI input or MIDI files to audio.
