=== debian/watch ===
version=3
http://sf.net/fluidsynth/fluidsynth-(.*)\.tar\.bz2
